Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class WSDLToAxisServiceBuilder

    java.lang.Object
      org.apache.axis2.description.WSDLToAxisServiceBuilder

Direct Known Subclasses:
  WSDL11ToAxisServiceBuilder, WSDL20ToAxisServiceBuilder

    public abstract class WSDLToAxisServiceBuilder

extends java.lang.Object

Field Summary
`protected static java.lang.String` | `AXIS2WRAPPED`
`protected AxisConfiguration` | `axisConfig`
`protected AxisService` | `axisService`
`protected java.io.InputStream` | `in`
`protected boolean` | `isCodegen`
`protected boolean` | `isServerSide`
`protected static int` | `nsCount`
`protected org.apache.neethi.PolicyRegistry` | `registry`
`protected java.util.Map` | `resolvedRpcWrappedElementMap`
`protected javax.xml.namespace.QName` | `serviceName`
`protected java.lang.String` | `style`
`protected static java.lang.String` | `TYPES`
`protected static java.lang.String` | `XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME`
`protected static java.lang.String` | `XML_SCHEMA_ELEMENT_LOCAL_NAME`
`protected static java.lang.String` | `XML_SCHEMA_IMPORT_LOCAL_NAME`
`protected static java.lang.String` | `XML_SCHEMA_LOCAL_NAME`
`protected static java.lang.String` | `XML_SCHEMA_SEQUENCE_LOCAL_NAME`
`protected static java.lang.String` | `XMLNS_AXIS2WRAPPED`
`protected static java.lang.String` | `XMLSCHEMA_NAMESPACE_PREFIX`
`protected static java.lang.String` | `XMLSCHEMA_NAMESPACE_URI`
`protected static java.lang.String` | `XSD_ELEMENT_FORM_DEFAULT`
`protected static java.lang.String` | `XSD_NAME`
`protected static java.lang.String` | `XSD_REF`
`protected static java.lang.String` | `XSD_TARGETNAMESPACE`
`protected static java.lang.String` | `XSD_TYPE`
`protected static java.lang.String` | `XSD_UNQUALIFIED`

Constructor Summary
`protected` | `WSDLToAxisServiceBuilder()`
`` | `WSDLToAxisServiceBuilder(java.io.InputStream in, AxisService axisService)`
`` | `WSDLToAxisServiceBuilder(java.io.InputStream in, javax.xml.namespace.QName serviceName)`

Method Summary
`protected java.util.Map` | `createHttpLocationTable()`
`protected java.lang.String` | `findSchemaPrefix()` Find the XML schema prefix
`java.lang.String` | `getBaseUri()` Gets the URI associated with the base document for the WSDL definition.
`protected javax.xml.parsers.DocumentBuilder` | `getDOMDocumentBuilder()` Utility method that returns a DOM Builder
`javax.xml.namespace.QName` | `getServiceName()`
`protected java.lang.String` | `getTemporaryNamespacePrefix()` Get a temporary namespace prefix.
`protected org.apache.ws.commons.schema.XmlSchema` | `getXMLSchema(org.w3c.dom.Element element, java.lang.String baseUri)`
`boolean` | `isCodegen()`
`boolean` | `isServerSide()`
`abstract AxisService` | `populateService()`
`protected static java.lang.String` | `replace(java.lang.String name, java.lang.String oldT, java.lang.String newT)` replace: Like String.replace except that the old new items are strings.
`void` | `setBaseUri(java.lang.String baseUri)` Sets the URI associated with the base document for the WSDL definition.
`void` | `setCodegen(boolean codegen)`
`void` | `setCustomResolver(org.apache.ws.commons.schema.resolver.URIResolver customResolver)` Sets a custom xmlschema URI resolver
`protected void` | `setPolicyRegistryFromService(AxisService axisService)`
`void` | `setServerSide(boolean serverSide)`
`void` | `setServiceName(javax.xml.namespace.QName serviceName)`
`protected static java.lang.String` | `stackToString()` Get a string containing the stack of the current location
`protected static java.lang.String` | `stackToString(java.lang.Throwable e)` Get a string containing the stack of the specified exception
`void` | `useAxisConfiguration(AxisConfiguration axisConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLSCHEMA_NAMESPACE_URI

    protected static final java.lang.String XMLSCHEMA_NAMESPACE_URI

See Also:
  Constant Field Values

### XMLSCHEMA_NAMESPACE_PREFIX

    protected static final java.lang.String XMLSCHEMA_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### XML_SCHEMA_LOCAL_NAME

    protected static final java.lang.String XML_SCHEMA_LOCAL_NAME

See Also:
  Constant Field Values

### XML_SCHEMA_SEQUENCE_LOCAL_NAME

    protected static final java.lang.String XML_SCHEMA_SEQUENCE_LOCAL_NAME

See Also:
  Constant Field Values

### XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME

    protected static final java.lang.String XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME

See Also:
  Constant Field Values

### XML_SCHEMA_ELEMENT_LOCAL_NAME

    protected static final java.lang.String XML_SCHEMA_ELEMENT_LOCAL_NAME

See Also:
  Constant Field Values

### XML_SCHEMA_IMPORT_LOCAL_NAME

    protected static final java.lang.String XML_SCHEMA_IMPORT_LOCAL_NAME

See Also:
  Constant Field Values

### XSD_NAME

    protected static final java.lang.String XSD_NAME

See Also:
  Constant Field Values

### XSD_TARGETNAMESPACE

    protected static final java.lang.String XSD_TARGETNAMESPACE

See Also:
  Constant Field Values

### XMLNS_AXIS2WRAPPED

    protected static final java.lang.String XMLNS_AXIS2WRAPPED

See Also:
  Constant Field Values

### AXIS2WRAPPED

    protected static final java.lang.String AXIS2WRAPPED

See Also:
  Constant Field Values

### XSD_TYPE

    protected static final java.lang.String XSD_TYPE

See Also:
  Constant Field Values

### XSD_REF

    protected static final java.lang.String XSD_REF

See Also:
  Constant Field Values

### nsCount

    protected static int nsCount

### resolvedRpcWrappedElementMap

    protected java.util.Map resolvedRpcWrappedElementMap

### XSD_ELEMENT_FORM_DEFAULT

    protected static final java.lang.String XSD_ELEMENT_FORM_DEFAULT

See Also:
  Constant Field Values

### XSD_UNQUALIFIED

    protected static final java.lang.String XSD_UNQUALIFIED

See Also:
  Constant Field Values

### in

    protected java.io.InputStream in

### axisService

    protected AxisService axisService

### registry

    protected org.apache.neethi.PolicyRegistry registry

### axisConfig

    protected AxisConfiguration axisConfig

### serviceName

    protected javax.xml.namespace.QName serviceName

### isServerSide

    protected boolean isServerSide

### style

    protected java.lang.String style

### TYPES

    protected static final java.lang.String TYPES

See Also:
  Constant Field Values

### isCodegen

    protected boolean isCodegen

Constructor Detail

### WSDLToAxisServiceBuilder

    protected WSDLToAxisServiceBuilder()

### WSDLToAxisServiceBuilder

    public WSDLToAxisServiceBuilder(java.io.InputStream in,
                                    javax.xml.namespace.QName serviceName)

### WSDLToAxisServiceBuilder

    public WSDLToAxisServiceBuilder(java.io.InputStream in,
                                    AxisService axisService)

Method Detail

### setCustomResolver

    public void setCustomResolver(org.apache.ws.commons.schema.resolver.URIResolver customResolver)

  Sets a custom xmlschema URI resolver

  Parameters:
    `customResolver` - a URIResolver to use when working with schemas

### isServerSide

    public boolean isServerSide()

### setServerSide

    public void setServerSide(boolean serverSide)

### setPolicyRegistryFromService

    protected void setPolicyRegistryFromService(AxisService axisService)

### getXMLSchema

    protected org.apache.ws.commons.schema.XmlSchema getXMLSchema(org.w3c.dom.Element element,
                                                                  java.lang.String baseUri)

### findSchemaPrefix

    protected java.lang.String findSchemaPrefix()

  Find the XML schema prefix

  Returns:
    the active schema prefix, or the default schema prefix if not declared

### populateService

    public abstract AxisService populateService()
                                         throws AxisFault

  Throws:
    `AxisFault`

### getDOMDocumentBuilder

    protected javax.xml.parsers.DocumentBuilder getDOMDocumentBuilder()

  Utility method that returns a DOM Builder

  Returns:
    a namespace-aware DOM DocumentBuilder

### getTemporaryNamespacePrefix

    protected java.lang.String getTemporaryNamespacePrefix()

  Get a temporary namespace prefix. NOT threadsafe.

  Returns:
    a new namespace prefix of the form "nsX"

### getBaseUri

    public java.lang.String getBaseUri()

  Gets the URI associated with the base document for the WSDL definition. Note that this URI is for the base document, not the imports.

  Returns:
    The URI as a String

### setBaseUri

    public void setBaseUri(java.lang.String baseUri)

  Sets the URI associated with the base document for the WSDL definition. Note that this URI is for the base document, not the imports.

  Parameters:
    `baseUri` - The URI as a String

### isCodegen

    public boolean isCodegen()

### setCodegen

    public void setCodegen(boolean codegen)

### getServiceName

    public javax.xml.namespace.QName getServiceName()

### setServiceName

    public void setServiceName(javax.xml.namespace.QName serviceName)

### stackToString

    protected static java.lang.String stackToString()

  Get a string containing the stack of the current location

  Returns:
    String

### stackToString

    protected static java.lang.String stackToString(java.lang.Throwable e)

  Get a string containing the stack of the specified exception

  Parameters:
    `e` -
  Returns:

### replace

    protected static final java.lang.String replace(java.lang.String name,
                                                    java.lang.String oldT,
                                                    java.lang.String newT)

  replace: Like String.replace except that the old new items are strings.

  Parameters:
    `name` - string
    `oldT` - old text to replace
    `newT` - new text to use
  Returns:
    replacement string

### useAxisConfiguration

    public void useAxisConfiguration(AxisConfiguration axisConfig)

### createHttpLocationTable

    protected java.util.Map createHttpLocationTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.